import grok
from waeup.interfaces import IBaseContainer
from waeup.baseitem import BaseItem
from waeup.viewlets import MainArea

class BaseContainer(BaseItem, grok.Container):
    """
    The base container. This is a stub for now. It can have
    base methods and templates attached to it
    """
    grok.implements(IBaseContainer)
    name = u"BaseContainer"
    childClass = None
    specialActions = []
    
class Content(grok.Viewlet):
    """
    Base viewlet
    """
    grok.viewletmanager(MainArea)
    #grok.context(grok.interfaces.IContainer)
    
class Add(grok.AddForm):
    #form_fields = grok.AutoFields(self.context.childClass)
#DOESN'T WORK    grok.template("../basecontainer_templates/add.pt")

    def update(self):
        self.form_fields = grok.AutoFields(self.context.childClass)
        grok.AddForm.update(self)

    @grok.action('Add Item')
    def addItem(self, name, *args, **kw):
        item = self.context.childClass(name=name)
        self.context[name] = item
        self.redirect(self.url(item))
